using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TakmicenjePrvi
{
    internal class Program
    {
        public static int[] MetodaZaPodNizove(int pocetak, int kraj, int[] ceoNiz)
        {
            int[] noviNiz = new int[kraj - pocetak+1];
            int pomocna = pocetak;
            for(int i=0; i < (kraj - pocetak + 1);i++)
            {
                noviNiz[i] = ceoNiz[pomocna-1];
                pomocna++;
            }
            return noviNiz;
        }

        public static bool DaLiJeSortiran(int[] niz)
        {
            bool tn = true;
            int pomocni = 0;
            for(int i=0;i<niz.Length-1;i++)
            {
                if (niz[i] > niz[i+1] && pomocni==0)
                {
                    pomocni++;
                }
                else if(niz[i] > niz[i + 1] && pomocni != 0)
                {
                    return false;
                }
            }
            return tn;
        }

        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] s = Console.ReadLine().Split();
            int[] niz = new int[n];
            for(int i=0;i<n;i++)
            {
                niz[i] = Convert.ToInt32(s[i]);
            }
            int q = int.Parse(Console.ReadLine());
            int[,] matrica = new int[q, 2];
            for(int i = 0;i<q;i++)
            {
                s = Console.ReadLine().Split();
                matrica[i, 0] = Convert.ToInt32(s[0]);
                matrica[i, 1] = Convert.ToInt32(s[1]);
            }
            for(int i=0;i<q;i++)
            {
                if(DaLiJeSortiran(MetodaZaPodNizove(matrica[i, 0], matrica[i, 1], niz)))
                {
                    Console.WriteLine("DA");
                }
                else
                {
                    Console.WriteLine("NE");
                }
            }
        }
    }
}